Bulk delete workflows
Base URL
https://{kibana_url}
DELETE
/api/workflows
DELETE
/s/{space_id} /api/workflows
Auth
Stack
9.4+
The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.
Availability
Generally available since 9.4
This functionality is generally available and ready for production usage.
Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.
This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Delete multiple workflows by their IDs.
Privileges
workflowsManagement:delete
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
acknowledgeAclLoss
boolean · default: false
Confirm that permanent deletion removes workflow access controls.
force
boolean · default: false
When true, permanently deletes the workflows (hard delete) instead of soft-deleting them. The workflow IDs become available for reuse.
A required header to protect against CSRF attacks
{
}
ids
string [] · max items: 1000
required
Array of workflow IDs to delete.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Bulk delete workflows request
1 language
Soft delete (default)
1 language
Hard delete (confirm ACL loss)
1 language
Request
Console
1 / 1 language
Example request for deleting multiple workflows
Show more
1
2
3
4
DELETE kbn://api/workflows
{
"ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
}
Response
Example response after deleting multiple workflows
Show more
1
2
3
4
5
{
"deleted": 2,
"failures": [],
"total": 2
}
Request
curl
1 / 1 language
1
2
3
4
5
6
7
8
curl \
-X DELETE "${KIBANA_URL}/api/workflows" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
}'
Response
Example response after deleting multiple workflows
Show more
1
2
3
4
5
{
"deleted": 2,
"failures": [],
"total": 2
}
Request
curl
1 / 1 language
1
2
3
4
5
6
7
8
curl \
-X DELETE "${KIBANA_URL}/api/workflows?force=true&acknowledgeAclLoss=true" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '{
"ids": ["workflow-c3d4e5f6-a7b8-9012-cdef-234567890123", "workflow-d4e5f6a7-b8c9-0123-defa-345678901234"]
}'
Response
Example response after deleting multiple workflows
Show more
1
2
3
4
5
{
"deleted": 2,
"failures": [],
"total": 2
}